Bug 163936 - v4l and ov511 not talking to each other
v4l and ov511 not talking to each other
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i686 Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-22 02:10 EDT by Eli Wapniarski
Modified: 2009-01-09 01:53 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:53:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eli Wapniarski 2005-07-22 02:10:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.4; Linux) KHTML/3.4.1 (like Gecko)

Description of problem:
usb-uchi   
ov518 camera (ov511 kernel module)  
  
fc4 detects the camera and the kernel module is loaded however, v4l2-common 
nor does v4l1-compat are not. I also suspect that ovcamchip should also be 
loaded, but it also does not get loaded.  
  
Consequently, currently, I cannot use the camera.  

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Turn on the computer 

Actual Results:   Camera does not work  

Expected Results:   The camera should work 

Additional info:
Comment 1 Dave Jones 2005-09-30 03:26:05 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.
Comment 2 Eli Wapniarski 2005-09-30 14:03:40 EDT
Closer i2c_core get loaded, but its not linked to anything. The ov511 module is linked to 
videodev, but neither ovcamchip nor any of the v4l modules gets loaded. 
 
Comment 3 Dave Jones 2005-11-10 17:02:01 EST
Mass update to all FC4 bugs:

An update has been released (2.6.14-1.1637_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.

Comment 4 Eli Wapniarski 2005-11-11 01:32:40 EST
nope 
Comment 5 Dave Jones 2005-12-10 03:28:12 EST
The problem here is that the ov518 cameras output in jpegs instead of raw data
like the earlier cameras did.  The v4l interface has no means of telling
applications 'this is a jpeg', and even if it did, every v4l application would
need updating.

The alternative is to decode the jpeg to raw-data in the kernel, which is
frowned upon, and is unlikely to be an acceptable upstream solution.

I'm not sure there's a better option right now though.
Comment 6 Eli Wapniarski 2005-12-10 07:05:25 EST
There is... Currently, I'm downloading the driver directly from alpha.dyndns.org and compiling 
each time the kernel changes. It's working for the time being. 
 
Thanks for keeping me up to date on the issue 
 
Eli 
Comment 7 Dave Jones 2006-02-03 01:22:07 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 8 Eli Wapniarski 2006-02-03 01:32:37 EST
Nope, still not working 
Comment 9 Dave Jones 2006-09-16 23:29:15 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 10 Eli Wapniarski 2006-10-10 00:31:48 EDT
Problem still exists on FC5
Comment 11 Dave Jones 2006-10-16 15:56:06 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 12 Eli Wapniarski 2006-10-16 16:05:59 EDT
Nope. Still not working.
Comment 13 Oli Wade 2008-01-21 16:58:33 EST
On fedora 8 the v4l* modules load successfully and /dev/video gets created, but
it fails when you try to open it ("no space left on the device" or somesuch).

====
drivers/media/video/ov511.c: USB OV511 video device found
drivers/media/video/ov511.c: model: Creative Labs WebCam 3
drivers/media/video/ov511.c: Sensor is an OV7610
drivers/media/video/ov511.c: Device at usb-0000:00:02.0-9 registered to minor 0
drivers/media/video/ov511.c: init isoc: usb_submit_urb(0) ret -28
====
Comment 14 Oli Wade 2008-03-11 05:15:42 EDT
I was able to make it work at reduced quality by following some of the advice on
this page:
  http://alpha.dyndns.org/ov511/faq.html

----
Q: When I run an application it says "No space left on device".
A: This is Linux's cryptic way of telling you that there isn't enough free USB
bandwidth to start capture. I think this only happens under 2.6 kernels, or
2.2/2.4 kernels that have "Enforce Bandwidth Allocation" enabled in the .config.
Try connecting the camera to a different controller (if you have one). You can
also try loading the driver with "cams=2", but that will cut the framerate in half.
----
Comment 15 Eli Wapniarski 2008-08-09 03:50:49 EDT
As far as I'm concerned, you can close this. I got a new camera. Sorry that I can not be of further assistance.
Comment 16 Bug Zapper 2008-11-26 01:51:55 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Bug Zapper 2009-01-09 01:53:35 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.